org.vishia.gral.base

## Class GralTable.CellData

- java.lang.Object
- - org.vishia.gral.base.GralTable.CellData

- Enclosing class:
    GralTable<UserData>

      public static class GralTable.CellData
      extends java.lang.Object

  Data for each Text widget of the graphical implementation layer. An instance is created on creating the text field for the cell in the implementation layer. The instance is referenced only by the text field, It refers the data of the `GralTable#tableLines`.

       swt.Canvas
            |--*>swt.Text
                     |--data-->CellData
                                 -ixCellLine
                                 -ixCellColumn

  Note: The class should be used only in the graphic implementation layer. It is public only to allow access from several implementations. It is not public to offer it for applications.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `bSetFocus` temporary set to true to set the focus of this cell.
    `GralColor` | `colorBack` The color in the graphical presentation.
    `GralColor` | `colorText` The color in the graphical presentation.
    `int` | `ixCellColumn` The row and column in the graphical presentation.
    `int` | `ixCellLine` The row and column in the graphical presentation.
    `int` | `treeDepth` The currently tree depth of this cell.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellData(int ixCellLine, int ixCellColumn)` The widget for a cell is a GralTextField.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ixCellLine

          public final int ixCellLine

      The row and column in the graphical presentation. With the information about the row, the associated `GralTable.TableLineData` can be found via the `GralTable.linesForCell`.

    - #### ixCellColumn

          public final int ixCellColumn

      The row and column in the graphical presentation. With the information about the row, the associated `GralTable.TableLineData` can be found via the `GralTable.linesForCell`.

    - #### colorBack

          public GralColor colorBack

      The color in the graphical presentation. It is the color of the text field. Note that the color of the text field is only changed if this colors and the `GralTable.TableLineData.colorBackground` and `GralTable.TableLineData.colorForeground` are different. It saves some calculation time if the color of the text field is set only if it is necessary.

    - #### colorText

          public GralColor colorText

      The color in the graphical presentation. It is the color of the text field. Note that the color of the text field is only changed if this colors and the `GralTable.TableLineData.colorBackground` and `GralTable.TableLineData.colorForeground` are different. It saves some calculation time if the color of the text field is set only if it is necessary.

    - #### bSetFocus

          public boolean bSetFocus

      temporary set to true to set the focus of this cell.

    - #### treeDepth

          public int treeDepth

      The currently tree depth of this cell. Invoke setBounds if it is different of line.

  - ### Constructor Detail

    - #### CellData

          public CellData(int ixCellLine,
                          int ixCellColumn)

      The widget for a cell is a GralTextField. @since 2015-11-09 for AWT-adaption